API DocumentationManufacturer work order controller

Update Routing

PATCH
/api/manufacturer/v1/work-orders/{id}/routing

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://example.com/api/manufacturer/v1/work-orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/routing" \  -H "Content-Type: application/json" \  -d '{    "steps": [      {        "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",        "sequence": 0      }    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "workOrderNumber": 0,  "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",  "name": "string",  "quantity": 0,  "routing": [    {      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "sequence": 0,      "statusId": "e900225c-0629-4e96-be6e-86a17a309645"    }  ],  "createdAt": "2019-08-24T14:15:22Z"}